%global         srcname         Office365-REST-Python-Client
Version:        2.3.13

Name:           python-%{srcname}
Release:        1%{?dist}
Summary:        Office 365 & Microsoft Graph library for Python

License:        MIT
URL:            https://github.com/vgrem/Office365-REST-Python-Client
Source0:        %{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel

%description
Office 365 & Microsoft Graph library for Python

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%description -n python%{python3_pkgversion}-%{srcname}
Requires:   python%{python3_pkgversion}-requests
Requires:   python%{python3_pkgversion}-msal
Requires:   python%{python3_pkgversion}-requests_ntlm
Requires:   python%{python3_pkgversion}-pytz


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitelib}/office365/
%{python3_sitelib}/Office365_REST_Python_Client-*.egg-info/
%doc README.md



